Discuz 7.2 与 Firefox 3.6.X 不兼容解决办法

当Discuz! 7.2 论坛升级到7.2版本之后,如果你用的浏览器还是Firefox 3.6以前的版本,那么你完全可以正常使用论坛,不存在兼容性问题,但当你的浏览器Firefox也升级到3.6.2或其以上版本之后,你就无法正常登陆论坛了,存在兼容性问题,解决办法:

http://lisizhang.com/wp-content/uploads/auto_save_image/2010/04/141750j75.png

IE8.0下登录窗口:

http://lisizhang.com/wp-content/uploads/auto_save_image/2010/04/141754BTn.png

Firefox下分类主题不显示:

firefox3.6.2_class.png

IE8.0下正常显示分类主题
ie8.0_class.png

用记事本等编辑器打开include/js/common.js 找到

BROWSER.firefox = document.getBoxObjectFor && USERAGENT.indexOf(‘firefox’) != -1 && USERAGENT.substr(USERAGENT.indexOf(‘firefox’) + 8, 3);

    中的

    document.getBoxObjectFor &&

      将其去掉,保存回去,然后到后台更新缓存。

      发布者:落花生

      认准了方向,就要勇敢地走下去,十年磨一剑,我相信,只要坚持,一切都有可能。

      加入对话

      8条评论

      电子邮件地址不会被公开。 必填项已用*标注